# Uses of Class
org.eclipse.jdt.ui.SharedASTProvider.WAIT_FLAG

Packages that use SharedASTProvider.WAIT_FLAG
Package
Description
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of SharedASTProvider.WAIT_FLAG in org.eclipse.jdt.ui

Fields in org.eclipse.jdt.ui declared as SharedASTProvider.WAIT_FLAG
Modifier and Type
Field
Description
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_ACTIVE_ONLY`
Deprecated.
Wait flag indicating that a client requesting an AST only wants to wait for the shared AST of the active editor.
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_NO`
Deprecated.
Wait flag indicating that a client requesting an AST only wants the already available shared AST.
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_YES`
Deprecated.
Wait flag indicating that a client requesting an AST wants to wait until an AST is ready.
Methods in org.eclipse.jdt.ui with parameters of type SharedASTProvider.WAIT_FLAG
Modifier and Type
Method
Description
`static CompilationUnit`
SharedASTProvider.`getAST(ITypeRoot element, SharedASTProvider.WAIT_FLAG waitFlag, IProgressMonitor progressMonitor)`
Deprecated.
Returns a compilation unit AST for the given Java element.